## 安装
```
npm install itheima-toolszjn
```

## 导入
```js
const itheima=require('itheima-toolszjn')
```

## 格式化时间
```js
// 调用dataFormat对时间进行格式化
const dtStr=itheima.dataFormat(new Date())
// 结果 2022-11-22 16:55:34
console.log(dtStr)
```

## 转义html中的特殊字符
```js
// 定义需要转换的字符串
const htmlStr='<h1>这是h1标签123&nbsp;</h1>'
// 调用htmlEscape方法进行转换
const str=itheima.htmlEscape(htmlStr)
// 结果 &lt;h1&gt;这是h1标签123&amp;nbsp;&lt;/h1&gt;
console.log(str)
```

## 还原html中的特殊字符
```js
// 定义需要还原的字符串
const str='&lt;h1&gt;这是h1标签123&amp;nbsp;&lt;/h1&gt;'
// 通过htmlUnEscape方法进行还原
const str2=itheima.htmlUnEscape(str);
// 结果 <h1>这是h1标签123&nbsp;</h1>
console.log(str2)
```

## 开源协议
   ISC